Page MenuHomePhabricator

[2.11] Integrate Citoid in Wikidata
Open, Stalled, MediumPublic

Description

Output
We will work on the integration of Citoid in Wikidata, aiming to drastically reduce the number of unsourced statements in Wikidata at risk of deletion and to facilitate their reuse across other Wikimedia projects.

Target
End-to-end integration of Citoid in Wikidata.

Pre-alpha release of MVP on test wikidata, uses currently available format:

Deployed to beta wikidata 16 July. example: https://wikidata.beta.wmflabs.org/wiki/Q381012 click "add reference" to try

Deployed to test:
https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/514461/ (deployed)

Future Targets
Adds items based on identifiers
T206613, merged, re-index done.
https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Citoid/+/525082/ (wip)

Use wikibase format
https://gerrit.wikimedia.org/r/#/c/mediawiki/services/citoid/+/513975/ (deployed)
https://github.com/wikimedia/restbase/pull/1165 (deployed)
+ New change to citoid extension

Create new items
+ New change to citoid extension

Related Objects

Event Timeline

DarTar lowered the priority of this task from High to Medium.

Tagging with the Legal team given the potential issues.

Mvolz set Due Date to Jun 30 2019, 11:00 PM.Jan 4 2019, 5:30 PM
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptJan 4 2019, 5:30 PM

Change 514280 had a related patch set uploaded (by Mvolz; owner: Mvolz):
[mediawiki/extensions/Wikibase@master] Add temp configuration variable for tabs

https://gerrit.wikimedia.org/r/514280

Change 514461 had a related patch set uploaded (by Mvolz; owner: Mvolz):
[operations/mediawiki-config@master] Enable reftabs on testwikidata

https://gerrit.wikimedia.org/r/514461

Change 500050 had a related patch set uploaded (by Mvolz; owner: Mvolz):
[mediawiki/extensions/Wikibase@master] [WIP] Add tabs to references with jquery.ui.tabs

https://gerrit.wikimedia.org/r/500050

Change 514461 abandoned by Mvolz:
Enable reftabs on testwikidata

Reason:
Cherry-picked into I0a480e244c4f11d5854c3f8339b42925cf41a676

https://gerrit.wikimedia.org/r/514461

Change 514461 restored by Mvolz:
Enable reftabs on testwikidata

Reason:
whoops wrong one :)

https://gerrit.wikimedia.org/r/514461

Change 514280 abandoned by Mvolz:
Add temp configuration variable for tabs

Reason:
cherry picked into I0a480e244c4f11d5854c3f8339b42925cf41a676

https://gerrit.wikimedia.org/r/514280

Change 500050 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add tabs to references with jquery.ui.tabs

https://gerrit.wikimedia.org/r/500050

Change 514461 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable reftabs on testwikidata

https://gerrit.wikimedia.org/r/514461

Mentioned in SAL (#wikimedia-operations) [2019-10-14T11:46:16Z] <lucaswerkmeister-wmde@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:514461|Enable reftabs on testwikidata (T199197, T228412)]] (duration: 00m 51s)

@Mvolz: Do you know if this task is still valid and should stay open? Asking as the Due Date on this task says June 2019. If this task is done, please resolve it (via Add Action...Change Status in the dropdown menu). If it is not done, please remove or reset the Due Date (via Edit Task). Thanks!

This task should still stay open, but I'll remove the due date. We were in the process of recalibrating that date but are very disrupted as of the last month or two, so don't have a new estimate right now.

Mvolz changed the task status from Open to Stalled.Apr 6 2020, 3:41 PM
leila added a subscriber: leila.

I removed the Research tag. Please ping us if you need specific support.

I'd like to say that - as a Wikidata contributor - this is still a much-needed tool. The current reference interface for Wikidata is still painful to use.

I'd like to say that - as a Wikidata contributor - this is still a much-needed tool. The current reference interface for Wikidata is still painful to use.

Very much +1 to this.

Question to @Samwalton9 or anyone else who might know. If there was a tool which looked up ISBNs to see if an item already used it and if not created a Wikidata item using available information would this need citoid to be installed on Wikidata to work? Would external tools which use OAuth etc (eg Magnus tools) to add to Wikidata need citoid installed on Wikidata or could they use it from some other instance? T282719